"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateStore = (domainStores) => {
    return {
        currentKey: domainStores.app.state.currentKey,
        scripts: domainStores.app.state.scripts,
        updateKey: (key) => {
            domainStores.app.dispatch({
                type: "UPDATE_KEY",
                currentKey: key,
            });
            domainStores.dendrogram.dispatch({
                type: "UPDATE_KEY",
                currentKey: key,
                pkg: domainStores.app.state.pkg,
            });
        },
    };
};
//# sourceMappingURL=Store.js.map