"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateStore = (domainStores) => {
    return {
        updateKey: (key) => {
            domainStores.app.dispatch({
                type: "UPDATE_KEY",
                currentKey: key,
            });
            domainStores.dendrogram.dispatch({
                type: "UPDATE_KEY",
                currentKey: key,
                pkg: domainStores.app.state.pkg,
            });
        },
        scale: domainStores.dendrogram.state.scale,
        radius: domainStores.dendrogram.state.radius,
        offset: domainStores.dendrogram.state.offset,
        nodes: domainStores.dendrogram.state.nodes,
    };
};
//# sourceMappingURL=Store.js.map