"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const TreeLink = require("../TreeLink");
const TreeNode = require("../TreeNode");
const styles = require("../../style.scss");
exports.Container = ({ store }) => {
    return (React.createElement("svg", { height: "100%", width: "100%", className: styles.background },
        React.createElement(TreeLink.Container, { store: store.treeLinkStore }),
        React.createElement(TreeNode.Container, { store: store.treeNodeStore })));
};
//# sourceMappingURL=Container.js.map